![kontakt logo with its left half rotated 180 degrees, resembling the left shift operator](shiftregister/core/static/tonkakt.svg)

# shiftregister

[![build status: staging](https://ci.luj0ga.de/api/badges/kontakt/shiftregister/status.svg)](https://ci.luj0ga.de/kontakt/shiftregister)

## project setup

* make sure python >= 3.12 is installed
* `python -m venv env`
* `. env/bin/activate`
* `pip install -r requirements.txt`
* `cp .env.example .env`
* `sed -i '/^ENVIRONMENT=/c ENVIRONMENT=development' .env`
* `./manage.py migrate`
* `./manage.py createsuperuser`
* `./manage.py runserver`
* start message queue with `docker compose up -d broker result-backend`
* start runner with `celery -A shiftregister worker -B -l INFO`
* add calendars at http://127.0.0.1:8000/admin/importer/calendar/add/
* change event state to 'event is running' at http://127.0.0.1:8000/admin/dynamic_preferences/globalpreferencemodel/3/change/
